package main

import (
	"fmt"
	"onlinePaySplitGoSDK/gomod"
	"net/http"
)


func main() {
	//jquery
	fs := http.FileServer(http.Dir("js"))
	http.Handle("/js/", http.StripPrefix("/js/", fs))
	//页面
	http.HandleFunc("/", gomod.Index)
	http.HandleFunc("/onlinePayOrder", gomod.Order)
	http.HandleFunc("/onlinePayQuery", gomod.Query)
	http.HandleFunc("/onlinePayRefund", gomod.Refund)
	http.HandleFunc("/onlinePayRefundQuery", gomod.RefundQuery)
	http.HandleFunc("/onlinePayCancelOrder", gomod.CancelOrder)

	http.HandleFunc("/splitOrder", gomod.SplitOrder)
	http.HandleFunc("/splitQuery", gomod.SplitQuery)
	

	
	err := http.ListenAndServe(":8082", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
	}
}